Interface Device
- All Known Implementing Classes:
DeviceWrapper
public interface Device
A Network Edge virtual device. Read-side accessors mirror the catalog spec's
VirtualDeviceDetailsResponse schema.- Author:
- ianjones
-
Method Summary
Modifier and TypeMethodDescriptiondelete()Deletes the device (DELETE /ne/v1/devices/{uuid}).delete(DeviceDeleteRequest request) Deletes the device with the spec's options:deleteRedundantDevicefor a redundant pair and thedeletionInfodeactivation keys (Palo Alto BYOL).getAsn()getCore()getName()getPlane()getUuid()ping()refresh()restoreFromBackup(Backup backup) restoreFromBackup(String backupUuid, String backupName) save(DeviceUpdaterJson updaterJson) update()updateAdditionalBandwidth(Integer additionalBandwidth)
-
Method Details
-
getUuid
String getUuid() -
getName
String getName() -
getDeviceTypeCode
String getDeviceTypeCode() -
getDeviceTypeName
String getDeviceTypeName() -
getDeviceTypeVendor
Vendor getDeviceTypeVendor() -
getDeviceTypeCategory
DeviceCategory getDeviceTypeCategory() -
getStatus
DeviceStatus getStatus() -
getLicenseStatus
LicenseStatus getLicenseStatus() -
getMetroCode
MetroCode getMetroCode() -
getMetroName
String getMetroName() -
getLicenseFileId
String getLicenseFileId() -
getRegion
Region getRegion() -
getThroughput
Double getThroughput() -
getThroughputUnit
BandwidthUnit getThroughputUnit() -
getHostName
String getHostName() -
getPackageCode
String getPackageCode() -
getPackageName
String getPackageName() -
getVersion
String getVersion() -
getLicenseType
LicenseType getLicenseType() -
getLicenseName
String getLicenseName() -
getSshIpAddress
String getSshIpAddress() -
getSystemIpAddress
String getSystemIpAddress() -
getPublicIp
String getPublicIp() -
getPublicGatewayIp
String getPublicGatewayIp() -
getManagementIp
String getManagementIp() -
getManagementGatewayIp
String getManagementGatewayIp() -
getDeviceSerialNo
String getDeviceSerialNo() -
getSshIpFqdn
String getSshIpFqdn() -
getPrimaryDnsName
String getPrimaryDnsName() -
getSecondaryDnsName
String getSecondaryDnsName() -
getAccountNumber
String getAccountNumber() -
getAccountName
String getAccountName() -
getSiteId
String getSiteId() -
getUserPublicKey
UserPublicKey getUserPublicKey() -
getNotifications
-
getVendorConfig
DeviceVendorConfig getVendorConfig() -
getRedundancyType
RedundancyType getRedundancyType() -
getRedundantUuid
String getRedundantUuid() -
getPurchaseOrderNumber
String getPurchaseOrderNumber() -
getTermLength
Integer getTermLength() -
getAdditionalBandwidth
Integer getAdditionalBandwidth() -
getInterfaceCount
Integer getInterfaceCount() -
getCore
DeviceCore getCore() -
getDeviceManagementType
DeviceManagementType getDeviceManagementType() -
getInterfaces
ArrayList<NetworkInterface> getInterfaces() -
getAsn
Long getAsn() -
getCreatedBy
String getCreatedBy() -
getCreatedDate
LocalDateTime getCreatedDate() -
getLastUpdatedBy
String getLastUpdatedBy() -
getLastUpdatedDate
LocalDateTime getLastUpdatedDate() -
getDiverseFromDeviceUuid
String getDiverseFromDeviceUuid() -
getDiverseFromDeviceName
String getDiverseFromDeviceName() -
getExpiry
String getExpiry() -
getSshIpFqdnStatus
SshIpFqdnStatus getSshIpFqdnStatus() -
getConnectivity
Connectivity getConnectivity() -
getPricingDetails
DevicePricingDetail getPricingDetails() -
getPlane
DevicePlane getPlane() -
getNewTermLength
String getNewTermLength() -
getChannelPartner
String getChannelPartner() -
getPricing
Pricing getPricing() -
restoreFromBackup
-
restoreFromBackup
-
updateAdditionalBandwidth
-
ping
Boolean ping() -
update
DeviceOperator.DeviceUpdater update() -
save
-
delete
Boolean delete()Deletes the device (DELETE /ne/v1/devices/{uuid}). The wrapper keeps its last known state, so getters still work afterwards.- Returns:
truewhen the deletion was accepted
-
delete
Deletes the device with the spec's options:deleteRedundantDevicefor a redundant pair and thedeletionInfodeactivation keys (Palo Alto BYOL).- Parameters:
request- the delete options- Returns:
truewhen the deletion was accepted
-
refresh
Boolean refresh()
-